
use strict;
use warnings;

use 5.006;

use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Load a McBain API as a RESTful PSGI web service",
  "AUTHOR" => "Ido Perlmuter <ido\@ido50.net>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "McBain-WithPSGI",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "McBain::WithPSGI",
  "PREREQ_PM" => {
    "Carp" => 0,
    "JSON" => 0,
    "Plack::Component" => 0,
    "Plack::Request" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "HTTP::Request" => 0,
    "McBain" => 0,
    "Plack" => "1.0029",
    "Plack::Test" => 0,
    "Test::More" => 0,
    "lib" => 0
  },
  "VERSION" => "1.001000",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "HTTP::Request" => 0,
  "JSON" => 0,
  "McBain" => 0,
  "Plack" => "1.0029",
  "Plack::Component" => 0,
  "Plack::Request" => 0,
  "Plack::Test" => 0,
  "Test::More" => 0,
  "lib" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



